package com.eladit.hb9eik.blueduo;

import android.app.Activity;
import android.content.Context;
import android.graphics.Color;
import android.graphics.Typeface;
import android.util.AttributeSet;
import android.util.TypedValue;
import android.widget.AbsoluteLayout;
import android.widget.TextView;

public class myLabel {
    static private int maxrow=10;
    static private int maxcol=80;
    private int top;
    private int left;
    private int height;
    private int width;

    myLabel(Context context, AbsoluteLayout al, int screenHeight, int screenWidth, int id, String name, int row, int col, int cols, int color, int bkground, int gravity, int size ){
        TextView tw = new TextView(context);
        tw.setId( id );
        tw.setText( name );
        tw.setTextSize(TypedValue.COMPLEX_UNIT_PX,size*1.5f*screenWidth/800);
        tw.setTypeface(null,Typeface.BOLD);
        tw.setTextColor(color);
        tw.setGravity(gravity);
        tw.setPadding(2,0,2,0);
        tw.setBackgroundColor(bkground);
        width=screenWidth*cols/maxcol;
        height=screenHeight/maxrow;
        left=screenWidth*col/maxcol;
        top=screenHeight*row/maxrow;
        al.addView(tw, new AbsoluteLayout.LayoutParams(width, height, left, top));
        al.refreshDrawableState();
    }
}
